import { Command } from '@oclif/command';
export default abstract class Base extends Command {
    static flags: {
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        quickRun: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        watch: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    verbose: boolean;
    quickRun: boolean;
    watch: boolean;
    readonly mustachesDir: string;
    readonly frameworks: {
        vue: {
            rdcStarter: string;
            cdn: any[];
        };
        react: {
            rdcStarter: string;
            cdn: string[];
        };
        angular: {
            rdcStarter: string;
            cdn: string[];
        };
    };
    getCoreInstance(options: any): any;
    init(): Promise<void>;
    catch(e: any): Promise<void>;
    finally(e: any): Promise<void>;
    protected preInit(): Promise<any>;
    protected initialize(_args: any): Promise<any>;
    protected preRun(): Promise<any>;
    protected postRun(): Promise<any>;
}
